Docs
Get Subscriptions
GET /subscriptions
GET
/subscriptionsLists the caller's subscriptions, most recently changed first, optionally narrowed by organizationId, eventId, subjectTypes or statuses. Status is active, muted, blocked or inactive.
Query Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| organizationId | uuid | Optional | |
| eventId | uuid | Optional | |
| subjectTypes | string[] | Optional | |
| statuses | string[] | Optional |
Response
Type: GetSubscriptionResponse[]
GetSubscriptionResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| userId | uuid | |
| subjectType | string| null | |
| subjectId | uuid | |
| organizationId | uuid | |
| eventId | uuid| null | |
| subjectDisplayName | string| null | |
| sources | string[]| null | |
| status | string| null | |
| createdAt | date-time | |
| updatedAt | date-time |